#
# sgpk08.rb
#
# $Id: sgpk08.rb,v 1.1 2000/11/21 03:02:08 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include NMath


upx3 = NArray.sfloat(3)
upy3 = NArray.sfloat(3)
upx6 = NArray.sfloat(6)
upy6 = NArray.sfloat(6)
upxs = NArray.sfloat(61)
upys = NArray.sfloat(61)

#-- data ---
a = 0.8
th = 3.14159 * 2 / 3
upy3 = upy3.indgen * th + th
upx3 = sin(upy3) * a
upy3 = cos(upy3) * a

th = 3.14159 * 2 / 6
upy6 = upy6.indgen * th + th
upx6 = sin(upy6) * a
upy6 = cos(upy6) * a

th = 3.14159 * 4 / 60
upxs = upxs.indgen * a/30 - a
upys = upys.indgen * th 
upys = sin(upys) * a

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

sglset('LSOFTF', true)            # <-- եȥեλ
sgfrm

sgswnd(-1.0, 1.0, -1.0, 1.0)
sgsvpt(0.0, 0.5, 0.0, 0.5)
sgstrn(1)
sgstrf

sgplu(3, upx3, upy3)
sgtnu(3, upx3, upy3)              # <--֤()

sgsvpt(0.0, 0.5, 0.5, 1.0)
sgstrf
sgstnp(101)
sgtnu(6, upx6, upy6)              # <--  ()

sgsvpt(0.5, 1.0, 0.0, 0.5)
sgstrf
sgtnzu(6, upx6, upy6, 201)        # <--()

sgsvpt(0.5, 1.0, 0.5, 1.0)
sgstrf
sgtnzu(61, upxs, upys, 601)       # <--  ()

sgcls

